function p = rcbsc(n_max, ep)
% P=RBSC(NMAX, EP) Error probabilities of repetition code over BSC
%   This function computes probabilities of receiving incorrect data given
%   repetition codes of odd lengths up to NMAX over BSC with crossover
%   probability EP. The set of probabilities is plotted into a stem graph.
%
% Inspired by problem 6.1 from Proakis et.al.

    % Step 1: In a loop, compute the probability of receiving corrupted
    % block of data for a repetition code of length `n`, where `n` starts
    % at 1 and ends at `n_max`, `n` has to be odd.
    % 
    % Fist, allocate enough space for `p`
    p = zeros(...,1);
    % Now loop over odd `n`
    for n=...
        % Initial error probability is zero
        ...
        % Now compute the sum over all possible `k`s, given `ep` and `n`.
        % The binomic number can be computed using `nchoosek(n,k)`.
        for k=...
            p(n) = ...
        end
    end
    % Now every odd element `p(n)` contains probability of receiving
    % incorrect data using a repetition code of length `n` over BSC with 
    % crossover probability `ep`.

    % Step 2: Plot the error probabilities as a stem graph.
    % First, open a new figure
    ...
    % Plot the stem graph, using only the odd `n` values.
    ...
    % Set a title, ...
    ...
    % ... label the `x` and `y` axes ...
    ...
    ...
    % ... and set the limits for `x`, ... 
    ...
    % finally set the `y` scale to logarithmic.
    set(gca,...,...)

end

